<?php
    include './conexion.php';
    $anio=$_POST['anio'];
    $semana=$_POST['semana'];
    

    $dato=null;

    $dato.='<select id="ubicacion" onchange="obtenerLugar()">';
            
        $sqlunidad=mysqli_query($connection,"select * from movs where anio='".$anio."' and sem='".$semana."' group by ubicacion order by ubicacion ASC");
        while($data=mysqli_fetch_array($sqlunidad)){

            /*if($semana==$data['semana']){
                //echo $data['fechaInicial']."1";
                $dato.='<option selected value="'.$data['semana'].'">'.$data['periodo'].'</option>';
            }
            else{*/
                //echo $data['fechaInicial']."2";
                $dato.='<option value="'.$data['ubicacion'].'">'.$data['ubicacion'].'</option>';
            //}
            
        }
            


        $dato.='</select>';

        $dato.="
        
        <script>
        function obtenerLugar(){

        var anio = $('#anio').val();
        var semana = $('#periodo').val();
        var ubicacion = $('#ubicacion').val();
        //alert(semana);
    $.ajax({
        type: 'POST',
        url: 'obtenerLugar.php', // Aquí debes poner la URL de tu script PHP para obtener los datos
        data: { anio: anio,semana:semana,ubicacion:ubicacion }, // Pasamos los datos correctamente como un objeto
        success: function(msg) {
            var response = JSON.parse(msg);      
            $('#lugarx').html(response.respuesta); // Corregido el selector ID
        },
        error: function(xhr, status, error) {
            console.error(xhr.responseText);
            $('#lugarx').html('<span style=\"color:red;\">Error en la solicitud AJAX.</span>'); // Corregido el selector ID
        }
    });

        }
        </script>
        ";

        $mensaje = array(
            'respuesta' => $dato
        );
            
        echo json_encode($mensaje);		